# CI/CD@Renku Tutorials

### Notebooks as slides*:

- [CI/CD Basics](./notebooks/CI_Basics.ipynb) - A guided tour of GitLab CI/CD basics
- [Submodule with CI/CD](./notebook/CI_Submodule.ipynb) - Use git-submodule with CI/CD
- More to come soon!

\* supported by [RISE](https://rise.readthedocs.io/en/stable/)

### Example projects:

- Periodically update submodules: [Link](https://renkulab.io/gitlab/ci-example/ci-update-submodule)
- Periodically update Renku datasets and rerun workflows: [Link](https://renkulab.io/gitlab/ci-example/ci-renku-pipeline)
- Simple multiproject pipeline:
    - [Link to upstream project](https://renkulab.io/gitlab/ci-example/ci-upstream-task)
    - [Link to downstream project](https://renkulab.io/gitlab/ci-example/ci-downstream-task)
- Simple merge request pipeline: [Link](https://renkulab.io/gitlab/ci-example/ci-merge-request)